{** This is the base form for all SoftConsult applications}
unit testparent;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs;

type
  TfrmParentForm = class(TForm)
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
  private
    { Private declarations }
    FKeepOpen: boolean;
  protected
    {** Use automatic open?}
    AutoTableOpen  : boolean;
  public
    { Public declarations }
    {** Do not use!!}
    procedure Dummy;
    function OpenTables(fastOpen: boolean); virtual;
    function CloseTables: boolean; virtual;
  end;

var
  frmSD: TfrmParentForm;

implementation


{$R *.DFM}

{** Closing all tables
    @returns   true if Ok otherwise false}
function TfrmParentForm.CloseTables: boolean;
begin
  ......
  ......
end;

{** @deprecated "Now replaced by OpenTables2"
    Open all tables that is marked for opening
    @see                OpenTables2

    @param  fastOpen    Use the fast opening routine
    @return             Returns true if Ok}
function TfrmParentForm.OpenTables(fastOpen: boolean): boolean;
begin
  ......
  ......
end;

procedure TfrmParentForm.FormCreate(Sender: TObject);
begin
  ......
  ......
end;


procedure TfrmParentForm.FormDestroy(Sender: TObject);
begin
  ......
  ......
end;

procedure TfrmParentForm.Dummy;
begin
end;

end.
